<?php
namespace common\modules\support\models;

use Yii;

/**
 * Login form
 */
class LoginForm extends \common\models\LoginForm
{   
    /**
     * Logs in a user using the provided username and password.
     *
     * @return boolean whether the user is logged in successfully
     */
    public function login()
    {
        $user = $this->getUser();

        return Yii::$app->support->login($user, $this->rememberMe ? 3600 * 24 * 30 : 0);
    }
}
